com.tibbo.aggregate.common.datatable

## Class QueryCondition

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.QueryCondition

-     public class QueryCondition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EQ`
    `static int` | `GE`
    `static int` | `GT`
    `static int` | `LE`
    `static int` | `LT`
    `static int` | `NE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryCondition(java.lang.String field, java.lang.Object value)`
    `QueryCondition(java.lang.String field, java.lang.Object value, int operator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getField()`
    `int` | `getOperator()`
    `java.lang.Object` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EQ

          public static final int EQ

      See Also:
        Constant Field Values

    - #### GT

          public static final int GT

      See Also:
        Constant Field Values

    - #### LT

          public static final int LT

      See Also:
        Constant Field Values

    - #### NE

          public static final int NE

      See Also:
        Constant Field Values

    - #### GE

          public static final int GE

      See Also:
        Constant Field Values

    - #### LE

          public static final int LE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryCondition

          public QueryCondition(java.lang.String field,
                                java.lang.Object value,
                                int operator)

    - #### QueryCondition

          public QueryCondition(java.lang.String field,
                                java.lang.Object value)

  - ### Method Detail

    - #### getField

          public java.lang.String getField()

    - #### getValue

          public java.lang.Object getValue()

    - #### getOperator

          public int getOperator()